# getMusicCurrentPosInMS method Null safety

Future<int?> getMusicCurrentPosInMS(

1. int id

)

Get the current playback progress of background music in milliseconds

Parameters:

id Music track ID

Returned value: the current playback time in milliseconds will be returned if this API is successfully called; otherwise, -1 will be returned

## Implementation

    Future<int?> getMusicCurrentPosInMS(int id) {
      return _channel.invokeMethod('getMusicCurrentPosInMS', {"id": id});
    }